@font-face {
    font-family: 'Poppins';
    src: url('../Poppins/Poppins-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

button[disabled] {
    color: red !important;
}

/* Estilo para la barra de desplazamiento */
::-webkit-scrollbar {
    width: 10px;
}

/* Estilo para el track (la parte "inactiva") de la barra de desplazamiento */
::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

/* Estilo para el handle (la parte "activa") de la barra de desplazamiento */
::-webkit-scrollbar-thumb {
    background: #2c466b;
    border-radius: 10px;
    border: 1px solid #2c466b;
}

/* Estilo para el handle de la barra de desplazamiento al pasar el mouse */
::-webkit-scrollbar-thumb:hover {
    background: #2c466b;
}


table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 1em;
    color: #2d3748;
}

table thead th {
    background-color: #edf2f7;
    color: #4a5568;
    padding: 0.5em;
    text-align: left;
}

table tbody td {
    padding: 0.5em;
    border: 1px solid #edf2f7;
}


/* Estilos generales para los inputs y selects */
.form-control, .seleccionar-medicamentos, .cantidad-medicamentos {
    box-sizing: border-box;
    width: 90%;
    max-width: 90%;
    padding: .375rem .75rem;
    margin-bottom: .5rem;
    font-size: 1rem;
    font-weight: 400;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    margin-bottom: 1em;
}

/* Establecer un ancho específico para el input de texto */
.medicamentos input[type="text"] {
    width: 400px;
}

/* Estilos para el botón */
.medicamentos button {
    margin: 10px;
    box-shadow: 17px 5px 32px -15px #000000;
    background-color:#2c466b;
    border-radius:10px;
    border:1px solid #2c466b;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-size:15px;
    padding:10px;
    text-decoration:none;
}

.agregar-medicamentos, .eliminar-medicamentos {
    width: 80%; /* Ajusta este valor según tus necesidades */
    margin: 10px;
    box-shadow: 17px 5px 32px -15px #000000;
    background-color:#2c466b;
    border-radius:10px;
    border:1px solid #2c466b;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-size:15px;
    padding:10px;
    text-decoration:none;
}


/* Estilos para los botones de incrementar y decrementar en Chrome, Safari y Edge */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}



/* Estilos para los botones de incrementar y decrementar en Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

/* Establecer un ancho específico para el input numérico */
.cantidad-medicamentos {
    width: 100px;
}

    .agregar button {
        margin: 30px;
        box-shadow: 17px 5px 32px -15px #000000;
background-color:#2c466b;
border-radius:10px;
border:1px solid #2c466b;
display:inline-block;
cursor:pointer;
color:#ffffff;
font-size:15px;
font-weight:bold;
padding:10px ;
text-decoration:none;}

    .procesar button{
        margin: 30px;
        box-shadow: 17px 5px 32px -15px #000000;
background-color:#2c466b;
border-radius:10px;
border:1px solid #2c466b;
display:inline-block;
cursor:pointer;
color:#ffffff;
font-size:17px;
font-weight:bold;
padding:20px 200px;
text-decoration:none;
    }




.container-solicitudes a{
    text-decoration: none;
    color: white;
}
    body{
        margin: 0;
        font-family:Poppins;
        background-color:rgb(247, 247, 255)
        
    }
    .navbar{
        display: flex;
        justify-content: space-between;
        background-color:rgb(255, 254, 254);
        
    }
    
    .navbar img {
        width: 420px;
        
    }   

.navbar img{
    margin: 0;
    padding: 20px 0px ;
}

.container_login{
    background-color: rgb(247, 247, 255);
    border-radius: 20px 20px 0 0;
    justify-content: center;
    margin-top: -20px;
    display: flex;
    text-align: center;
}
.registrarte{
    margin-top: 30px;
    color: white;
    border-radius: 10px;
    background-color:  #2c466b;
    padding: 30px;
    justify-content: left;
    -webkit-box-shadow: -13px 10px 12px 0px rgba(0,0,0,0.06);
    -moz-box-shadow: -13px 10px 12px 0px rgba(0,0,0,0.06);
    box-shadow: -13px 10px 12px 0px rgba(0,0,0,0.06);
}

.input-container {
    display: flex;
    width: 100%;
    margin-bottom: 15px;
}

.icon {
    padding: 10px;
    color:  #2c466b;
    min-width: 50px;
    text-align: center;
}

.input-field {
    width: 100%;
    padding: 10px;
    outline: none;
    border-color:#cccccc; 
    border-style:hidden; 
    
    border-width:0px; 
    border-radius:10px; 
    font-size:17px; 
    box-shadow: 2px 1px 5px 0px rgba(42,42,42,.20);  
}
.input-field:focus { 
    outline:none; 
} 

.ingresar{
margin-top: 30px;
border-radius: 10px;
justify-content: right;
padding: 40px;
background-color: rgb(255, 255, 255);
-webkit-box-shadow: 13px 10px 12px 0px rgba(0,0,0,0.06);
-moz-box-shadow: 13px 10px 12px 0px rgba(0,0,0,0.06);
box-shadow: 13px 10px 12px 0px rgba(0,0,0,0.06);
}
.ingresar input{
margin: 10px;
 border-color:#cccccc; 
 border-style:hidden; 
 padding:10px ; 
 border-width:0px; 
 border-radius:10px; 
 font-size:17px; 
 box-shadow: 2px 1px 5px 0px rgba(42,42,42,.20);  }
.ingresar input:focus { outline:none; } 

.ingresar button {
box-shadow: 17px 5px 32px -15px #000000;
background-color: #2c466b;
border-radius:10px;
border:1px solid  #2c466b;
display:inline-block;
cursor:pointer;
color:#ffffff;
font-size:17px;
font-weight:bold;
padding:10px 76px;
text-decoration:none;
}

i{
    font-size: 30px;
}

.iconos i {
    float: right;
    margin: 30px 10px;
    color: #2c466b;
    
}

    .container-ordenes {
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    
}

    .container-solicitudes{
        background-color: rgb(255, 254, 254);
        border-radius: 20px 20px 0 0;
        margin-top: -20px;
       padding: 50px;
        text-align: center;
    }

    .div1, .div2, .div3, .div4, .div5, .div6 {
        margin-top: 30px;
        color: white;
        border-radius: 30px 0;
        background-color: #2c466b;
        padding: 30px;
        -webkit-box-shadow: -13px 10px 12px 0px rgba(0,0,0,0.06);
        -moz-box-shadow: -13px 10px 12px 0px rgba(0,0,0,0.06);
        box-shadow: -13px 10px 12px 0px rgba(0,0,0,0.06);
        width: 18%;
        margin: 1%;
    }
    .container-ordenes i {
    float: right;
}

footer{
    margin-top: 20px;
    bottom: 0;
    font-size: 15px;
     background-color: rgb(39, 38, 38); 
     color:rgb(255, 255, 255); text-align: center; 
}
#Footer .image_wrapper img.scale-with-grid {
    margin-top: 10px;
}

.footer-link {
    text-decoration: none; 
    color: rgb(255, 255, 255);
}

    .social i {
    font-size: 20px;
    color: rgb(235, 226, 226);
    display: inline-block;
    margin: 20px;
    }

/* Aquí es donde empieza el código responsive */

@media (max-width: 1200px) {
    .div1, .div2, .div3, .div4, .div5, .div6 {
        width: 23%;
    }
    
}

@media (min-width: 1200px){
.iconos {
    margin: 0px 70px;  
}

.navbar img{
    margin: 0;
    padding: 20px 60px ;
}}


@media (max-width: 992px) {
    .div1, .div2, .div3, .div4, .div5, .div6 {
        width: 31%;
    }
}

@media (max-width: 576px) {
    .div1, .div2, .div3, .div4, .div5, .div6 {
        width: 99%;
    }
}

@media (max-width: 600px) {
    table {
        display: block;
    }
    table thead {
        display: none;
    }
    table tbody tr {
        display: block;
        margin-bottom: 1em;
    }
    table tbody tr td {
        display: flex;
        justify-content: space-between;
        border: none;
        border-bottom: 1px solid #edf2f7;
    }
    table tbody tr td:before {
        content: attr(data-label);
        font-weight: bold;
        margin-right: 0.5em;
    }
}
@media screen and (max-width: 600px) {
    .medicamentos input[type="text"],  .procesar button {
        width: 90%; padding: 20px 50px;/* Ajusta este valor según tus necesidades */
    }
}
 

@media screen and (max-width: 600px) {
    .registrarte {
        display: none;
    }
}
@media screen and (max-width: 600px) {
    .navbar img {
        width: 250px; /* Ajusta este valor al tamaño que desees */
    }

    .navbar{
        display: flex;
        justify-content: center;
        background-color:rgb(255, 254, 254);
        
    }
}
